Package org.apache.sling.maven.jspc

## Class JspcMojo.FeatureDependency

- java.lang.Object
- - org.apache.sling.maven.jspc.JspcMojo.FeatureDependency

Enclosing class:
  JspcMojo

    public static final class JspcMojo.FeatureDependency
    extends Object

### Field Summary

Fields
`List<org.apache.maven.model.Dependency>` `dependencies`
`boolean` `failOnUnresolved`
`String` `featureFile`
`org.apache.maven.artifact.Artifact` `featureId`

### Constructor Summary

Constructors
`FeatureDependency()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### featureId

    public org.apache.maven.artifact.Artifact featureId

#### featureFile

    public String featureFile

#### dependencies

    public List<org.apache.maven.model.Dependency> dependencies

#### failOnUnresolved

    public boolean failOnUnresolved

### Constructor Detail

#### FeatureDependency

    public FeatureDependency()